Subject: Re: [PATCH] Add read_cache to builtin-check-attr

From: [email-masked] (Brian Downing)
Date: Tue, 14 Aug 2007 13:45:41 -0500

On Tue, Aug 14, 2007 at 11:38:24AM -0700, Junio C Hamano wrote:
> That interface is at too low a level, I am afraid.  Many
> commands do want to control when they read the index and it
> affects the result, especially when the work tree traversal
> implemented in dir.c is involved.
> 
> I am not rejecting/objecting, but just raising concerns.  I do
> not have time to review this today, but just wanted to see if
> you fully assessed the implications (and if so that would save
> work on my end).

I really don't understand the implications.  That was just something
that got it working on my end, and I figured I should send it along
in case it was just that simple.

-bcd